[ previous ] [ next ] [ threads ]
 
 From:  Stefan Frank <Mono dot General at RootServices dot Biz>
 To:  MonoWall-General List <m0n0wall at lists dot m0n0 dot ch>, MonoWall-Developers List <m0n0wall dash dev at lists dot m0n0 dot ch>
 Cc:  cbuechler at gmail dot com
 Subject:  Compatibility Questions m0n0wall / Cisco Catalyst (and about vLAN)
 Date:  Sat, 04 Mar 2006 18:41:44 +0100
Hi Everyone ...

I hope here are some experts who working with cisco´s catalyst switches.
I got a C2900XL-H-M Switch very cheap from a friend before i readed the
VLAN Documention http://wiki.m0n0.ch/wikka.php?wakka=VLAN from
Chris Buechler. Before i talk/ask about vLAN there are some other things ...

Chris wrote on the Documention ... "Just make sure you don't get one of the
older Catalysts that only support IOS 11.x. The 2U 2924's are typically the
cheapest, and they all support IOS 12.x and VLAN trunking" ...

@Chris My Switch is exactly a WS-C2916M-XL. It has 2 module slots
(currently only 1 Module with 4 x 100 Mbit Ethernet Interfaces is added).

It is a 2U Switch (Model: WS-C2916M-XL ... so 16 fixed ethernet ports
and (in 2 Modules) maximum 8 additional ports). AFAIK the Catalyst 2924
Switches are only 1 U ... or i am wrong with that? You maybe mean with
your words the 16 Port Switches i.e WS-C2916M-XL with 2 Modules?

I never used any Cisco Hardware before and i am not really sure whether
the vLAN "options" in m0n0wall are compatibly with my catalyst switch.

The IOS Software on my Switch looks very old and there are some updates
out on the cisco ftp site. On the switch cosole sh ver give me this output.

Switch#sh ver
Cisco Internetwork Operating System Software
IOS (tm) C2900XL Software (C2900XL-H-M), Version 11.2(8)SA2, RELEASE
SOFTWARE (fc1)
Copyright (c) 1986-1998 by cisco Systems, Inc.
Compiled Fri 24-Apr-98 10:51 by rheaton

On Cisco´s website http://www.cisco.com/warp/public/473/36.shtml it
looks for me that i can only upgrade to the latest final version 11.2(8)SA6.

The Cisco Guys wrote "Cisco IOS Software Release 11.2(8)SA6 continued
this behavior as well. It is important to note that Cisco IOS Software
Release
11.2(8)SA6 is the final version of software for the 4 MB switches.

In other words - my switch cant deal with VLAN trunking because this
is only for Switches with Cisco IOS 12.x available???

I am currently not sure which functions of vlan do monowall support and
whether that will work with my switch correclty together (or not).

I also are not really sure what are differents between vlan and VLAN
trunking.

If anybody give me some help/comments then go a head :o)

Thanks!

-- 
Best regards,
Stefan Frank

Looking for Monowall Adjustment?
http://M0n0WaLL.RootServices.Biz